Foreman - Bug #3105

Foreman failed to filter certificates when locale is set to non english
09/17/2013 02:02 PM - Benjamin Papillon

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Internationalization
Target version: 1.6.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1748
Description

When locale is set to anything but english (tested spanish and french),
The filter to list pending certificates is not working anymore.

Steps to reproduce :

1. create a host with pending certificate

2. change language (ex http:/foreman/hosts?locale=es)

3. list pending certificates with foreman gui

=> nothing found

4. change back to english (ex http://foreman/hosts?locale=en)
5. Verify that pending certificate is present with foreman gui

Associated revisions

Revision 9e84387b - 09/09/2014 05:57 AM - Dominic Cleal

fixes #3105 - use untranslated string for PuppetCA state filter

Revision 88fc380c - 10/07/2014 08:44 AM - Dominic Cleal

fixes #3105 - use untranslated string for PuppetCA state filter

(cherry picked from commit 9e84387ba9cb1b6ce42ffb8aa52f933607999edc)

History

#1 - 09/17/2013 02:06 PM - Benjamin Papillon

The english URL to list pending certs :
http://foreman/smart_proxies/&lt;proxy_id&gt;-puppet/puppetca?state=pending

The French URL to list pending certs :
http://foreman/smart_proxies/&lt;proxy id&gt;-puppet/puppetca?state=en%20attente

#2 - 09/08/2014 12:03 PM - Dominic Cleal

- Subject changed from Foreman faild to filter certificates when locale is set to non english to Foreman failed to filter certificates when locale is set to
non english

- Category changed from Web Interface to Internationalization

#3 - 09/08/2014 12:18 PM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 09/08/2014 12:18 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing

- Target version setto 1.7.4
http://foreman/hosts?locale=es
http://foreman/hosts?locale=en
http://foreman/smart_proxies/&lt;proxy_id&gt;-puppet/puppetca?state=pending
http://foreman/smart_proxies/&lt;proxy_id&gt;-puppet/puppetca?state=en%20attente

- Pull request https://github.com/theforeman/foreman/pull/1748 added
- Pull request deleted ()

#5 - 09/09/2014 06:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9e84387ba9cb1b6ce42{fb8aa52f933607999edc.

#6 - 09/09/2014 06:23 AM - Dominic Cleal
- % Done changed from 100 to 0

- translation missing: en.field_release set to 22

05/21/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9e84387ba9cb1b6ce42ffb8aa52f933607999edc
http://www.tcpdf.org

